Page MenuHomePhabricator

First round editor gender surveys
Closed, ResolvedPublic

Description

Run first round of editor gender surveys:

  • Proposed Languages: English, Norwegian, Arabic

For each language community, the following need to happen (T212444 should serve as a useful template):

TaskEnglishNorwegianArabic
Translations (question/answers, privacy policy, and supporting text)OriginalCompleteComplete
Privacy policy uploadedYesYesYes
Village Pump post7-29-197-29-197-29-19
Determine sampling rate for the languageT227793#5333207T227793#5333268T227793#5333297
Create necessary Mediawiki interface pages for the languageCompleteCompleteComplete
Test the surveys (T225042#5266976 and then during deployment)
Deploy the survey8/5/198/5/198/5/19
Undeploy the survey8/13/198/13/198/13/19

For more information, see the meta page: https://meta.wikimedia.org/wiki/Research:Surveys_on_the_gender_of_editors

Event Timeline

Isaac created this task.Jul 11 2019, 3:58 PM
Restricted Application added subscribers: jeblad, jhsoby. · View Herald TranscriptJul 11 2019, 3:58 PM
Isaac moved this task from Staged to In Progress on the Research board.Jul 11 2019, 4:00 PM
Isaac added a comment.EditedJul 15 2019, 1:44 PM

English

SurveyDurationGoalStart Date and timeEnd Date
editor-gender-en14 days1000 responses2019/MM/DD @ HHHH UTC (HHHH EST)2019/MM/DD @ HHHH UTC

Interface pages

enwiki => [
    "enabled" => true,
    "type" => "internal", 
    "name" => "editor-gender-1-en",
    "question" => "Editor-gender-1-message",
    "description" => "Editor-gender-1-description",
    "answers" => [
        "Editor-gender-1-answer-man",
        "Editor-gender-1-answer-woman",
        "Editor-gender-1-answer-decline",
    ],
    "freeformTextLabel": "Editor-gender-1-free-form-text-label",
    "privacyPolicy" => "Editor-gender-1-privacy",
    "coverage" => 0.1, // 1 in 10
    "audience" => [
        "anons" => false,
    ],
    "platforms" => [
        "desktop"=> ["stable"],
        "mobile"=> ["stable"]
    ],
]
Isaac added a comment.EditedJul 15 2019, 1:52 PM

Norwegian

SurveyDurationGoalStart Date and timeEnd Date
editor-gender-no14 days1000 responses2019/MM/DD @ HHHH UTC (HHHH EST)2019/MM/DD @ HHHH UTC

Interface pages

nowiki => [
    "enabled" => true,
    "type" => "internal", 
    "name" => "editor-gender-1-no",
    "question" => "Editor-gender-1-message",
    "description" => "Editor-gender-1-description",
    "answers" => [
        "Editor-gender-1-answer-man",
        "Editor-gender-1-answer-woman",
        "Editor-gender-1-answer-decline",
    ],
    "freeformTextLabel": "Editor-gender-1-free-form-text-label",
    "privacyPolicy" => "Editor-gender-1-privacy",
    "coverage" => 1, // all signed-in users
    "audience" => [
        "anons" => false,
    ],
    "platforms" => [
        "desktop"=> ["stable"],
        "mobile"=> ["stable"]
    ],
]
Isaac added a comment.EditedJul 15 2019, 1:56 PM

Arabic

SurveyDurationGoalStart Date and timeEnd Date
editor-gender-ar14 days1000 responses2019/MM/DD @ HHHH UTC (HHHH EST)2019/MM/DD @ HHHH UTC

Interface pages

arwiki => [
    "enabled" => true,
    "type" => "internal", 
    "name" => "editor-gender-1-ar",
    "question" => "Editor-gender-1-message",
    "description" => "Editor-gender-1-description",
    "answers" => [
        "Editor-gender-1-answer-man",
        "Editor-gender-1-answer-woman",
        "Editor-gender-1-answer-decline",
    ],
    "freeformTextLabel": "Editor-gender-1-free-form-text-label",
    "privacyPolicy" => "Editor-gender-1-privacy",
    "coverage" => 0.5, // 1 in 2
    "audience" => [
        "anons" => false,
    ],
    "platforms" => [
        "desktop"=> ["stable"],
        "mobile"=> ["stable"]
    ],
]
Isaac updated the task description. (Show Details)Jul 15 2019, 2:02 PM
Isaac triaged this task as High priority.Jul 17 2019, 12:58 PM
Isaac updated the task description. (Show Details)Jul 19 2019, 10:22 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 24 2019, 5:02 PM
Isaac updated the task description. (Show Details)Jul 24 2019, 7:15 PM
Urbanecm added a subscriber: Urbanecm.

If there is anything site requests volunteers can help you with, feel free to move this back and add an explaining comment!

Isaac updated the task description. (Show Details)Jul 29 2019, 3:07 PM
Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptJul 29 2019, 3:07 PM

Change 526461 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Enable reader demographics surveys

https://gerrit.wikimedia.org/r/526461

@Isaac I made a patch, but because I did not enable the surveys previously I'm not super familiar with the config.

I took configs from comments above and I noticed there are small differences between configs in comments and last enable reader demographics surveys patch.

Differences:

  • previously all surveys type was external -> now it's internal
  • survey configs are missing link
  • survey configs are missing instanceTokenParameterName

Could you confirm that the configs ( https://gerrit.wikimedia.org/r/526461 ) are correct, please?

Isaac added a comment.Jul 30 2019, 7:18 PM

@pmiazga thanks for reaching out about the differences -- responses below:

previously all surveys type was external -> now it's internal

Yes, this is because the previous surveys have been links to Google Forms (external) whereas this survey is hosted entirely on Wikipedia (internal)

survey configs are missing link

Yes, because this is an internal survey, no link is needed for an external survey (the answer options specified in the config are just shown to the user)

survey configs are missing instanceTokenParameterName

Yes, that was a URL parameter that was passed to external surveys so that they could be linked back to our EventLogging. Because this is an internal survey, we don't need that parameter.

A better configuration to look at perhaps is the internal one we did to test some new functionality recently: https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/517789

Could you confirm that the configs ( https://gerrit.wikimedia.org/r/526461 ) are correct, please?

Yeah, the configuration looks good to me. The only thing I'd say is that the title/description says "Enable reader demographics surveys" and this is actually to "Enable editor gender surveys".

Testing

Tomorrow, when these get launched to the debug survey, what I'll do is go to these three pages (the exact article isn't important) and make sure that the survey shows up, the links work, and that EventLogging seems to be sending the correct information. This also helps in case I accidentally mixed up the interface pages that are used by the survey or other silly errors that are hard to spot before launching.

Setting the URL parameter to just be quicksurvey=true also works but you may have to reload a few times if there are other surveys enabled on the wiki until you get the right one. The other trick is to check mw.config.get('wgEnabledQuickSurveys') in the javascript console to see the survey details.

Change 526461 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable editor gender surveys

https://gerrit.wikimedia.org/r/526461

Change 526461 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable editor gender surveys
https://gerrit.wikimedia.org/r/526461

This was reverted by https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/526721.

Reverted because we were missing Norwegian translations.

Change 528175 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Enable editor gender surveys

https://gerrit.wikimedia.org/r/528175

Change 528175 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable editor gender surveys

https://gerrit.wikimedia.org/r/528175

Mentioned in SAL (#wikimedia-operations) [2019-08-05T18:07:33Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: e44a6e6: Enable editor gender surveys (T227793) (duration: 00m 48s)

Isaac added a comment.Aug 6 2019, 1:07 PM

Per IRC conversation, leaving this open until we un-deploy the surveys and then I will sign off. Thanks!

Isaac updated the task description. (Show Details)Aug 6 2019, 1:11 PM

@LadyofShalott remarks on Wikipedia:Village pump (miscellaneous) on enwiki that the survey keeps reappearing even though she has already responded to the survey.

Isaac added a comment.Aug 9 2019, 2:49 PM

Sufficient responses have been reached -- plan is to undeploy these surveys in first available SWAT deployment by Tuesday (Aug 13).

Change 529925 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Undeploy editor gender surveys

https://gerrit.wikimedia.org/r/529925

Change 529925 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy editor gender surveys

https://gerrit.wikimedia.org/r/529925

Mentioned in SAL (#wikimedia-operations) [2019-08-13T11:15:08Z] <pmiazga@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:529925|Undeploy editor gender surveys (T227793)]] (duration: 00m 48s)

All three surveys (en, no, ar) are undeployed.

Isaac closed this task as Resolved.Aug 13 2019, 1:11 PM

Surveys completed -- thanks @pmiazga (and any respondents)!

Isaac updated the task description. (Show Details)Aug 13 2019, 1:13 PM